[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:056442] Re: rpmを作ってみたのですが


>> "atushi" == Atsushi Fukushima <atushi _at_ ss.iij4u.or.jp> writes:

atushi> これはgmp-4.1とgmp-2.0.2の二つのパッケージが入っているのが原因だと
atushi> 思われますが、gmp-2.0.2を消すこともできずに困っています。

atushi> このような場合はどのように対処するのが妥当なのでしょうか?
atushi> RPM::Allow-Duplicated in the documentation.とありますが、
atushi> どの文章を参照すればいいのでしょうか?ご指導よろしくお願いします。

参照する文書は、 man apt.conf です。
man apt-get を読むと、 apt.conf というマニュアルがあることが
わかりますね。

あれ、でも、マニュアル見ても Allow-Duplicated のことは書いてない?
/usr/doc 以下の文書にも書いてないし。
でも、一般的な設定の仕方は分かりますね。

で、設定ですが、 /etc/apt/apt.conf に、

RPM::Allow-Duplicated { "gmp"; }

のように書けば良いのではないかと思います。

このオプションを設定したマシンが今手元にないので
正確ではないかもしれませんが。

-- 
西村 大介 <nishi _at_ graco.c.u-tokyo.ac.jp>
東京大学 総合文化研究科 広域システム科学系

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
References: